Package com.google.android.exoplayer2

## Class FormatHolder

- java.lang.Object
- - com.google.android.exoplayer2.FormatHolder

-     public final class FormatHolder
      extends Object

  Holds a `Format`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `DrmSession` | `drmSession` | An accompanying context for decrypting samples in the format.
    `Format` | `format` | The held `Format`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormatHolder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | Clears the holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### drmSession

          @Nullable
          public DrmSession drmSession

      An accompanying context for decrypting samples in the format.

    - #### format

          @Nullable
          public Format format

      The held `Format`.

  - ### Constructor Detail

    - #### FormatHolder

          public FormatHolder()

  - ### Method Detail

    - #### clear

          public void clear()

      Clears the holder.